> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GSTR-3B Liability Auto Calc

> Get auto-calculated liability details for GSTR-3B return for the authenticated taxpayer.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-3b/auto_liability_calc.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}/auto-liability-calc
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}/auto-liability-calc:
    get:
      tags:
        - Taxpayer
        - Returns
        - File GSTR-3B
      summary: Get GSTR-3B Liability Auto Calc
      description: Authenticated tax payer can upload GSTR-3B json to GST portal
      operationId: getGstr3bLiabilityAutoCalc
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: JSON raw body
              properties: {}
            examples:
              200 Success:
                value:
                  ret_period: '122023'
                  inward_sup:
                    isup_details:
                      - intra: 0
                        ty: GST
                        inter: 0
                      - intra: 0
                        ty: NONGST
                        inter: 0
                  sup_details:
                    osup_nil_exmp:
                      txval: 0
                    osup_nongst:
                      txval: 0
                    osup_zero:
                      csamt: 0
                      iamt: 0
                      txval: 0
                    osup_det:
                      samt: 0
                      csamt: 0
                      camt: 0
                      iamt: 0
                      txval: 0
                    isup_rev:
                      samt: 0
                      csamt: 0
                      camt: 0
                      iamt: 0
                      txval: 0
                  intr_ltfee:
                    intr_details:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                  inter_sup:
                    comp_details: []
                    uin_details: []
                    unreg_details: []
                  itc_elg:
                    itc_avl:
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: IMPG
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: IMPS
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: ISRC
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: ISD
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                    itc_rev:
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: RUL
                        iamt: 0
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                    itc_net:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_inelg:
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: RUL
                        iamt: 0
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                  gstin: 29AAACQ3770E000
                summary: 200 Success
              RT-R3BQ1004 GSTR-1 not filed:
                value:
                  ret_period: '042024'
                  inward_sup:
                    isup_details:
                      - intra: 0
                        ty: GST
                        inter: 0
                      - intra: 0
                        ty: NONGST
                        inter: 0
                  sup_details:
                    osup_nil_exmp:
                      txval: 0
                    osup_nongst:
                      txval: 0
                    osup_zero:
                      csamt: 0
                      iamt: 0
                      txval: 0
                    osup_det:
                      samt: 0
                      csamt: 0
                      camt: 0
                      iamt: 0
                      txval: 0
                    isup_rev:
                      samt: 0
                      csamt: 0
                      camt: 0
                      iamt: 0
                      txval: 0
                  intr_ltfee:
                    intr_details:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                  inter_sup:
                    comp_details: []
                    uin_details: []
                    unreg_details: []
                  itc_elg:
                    itc_avl:
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: IMPG
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: IMPS
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: ISRC
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: ISD
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                    itc_rev:
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: RUL
                        iamt: 0
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                    itc_net:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_inelg:
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: RUL
                        iamt: 0
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                  gstin: 29AAACQ3770E000
                summary: RT-R3BQ1004 GSTR-1 not filed
      responses:
        '200':
          description: 200 Success / RT-R3BQ1004 GSTR-1 not filed
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          r3bautopop:
                            type: object
                            properties:
                              error:
                                type: array
                                items: {}
                                example: []
                              liabitc:
                                type: object
                                properties:
                                  elgitc:
                                    type: object
                                    properties:
                                      itc4a1:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              itcavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              csamt:
                                                type: number
                                                example: 0
                                              iamt:
                                                type: number
                                                example: 0
                                      itc4a3:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              itcavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                              itcavl_cn:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                              itcunavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              camt:
                                                type: number
                                                example: 0
                                              csamt:
                                                type: number
                                                example: 0
                                              iamt:
                                                type: number
                                                example: 0
                                              samt:
                                                type: number
                                                example: 0
                                      itc4a4:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              itcavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                              itcavl_cn:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                              itcunavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              camt:
                                                type: number
                                                example: 0
                                              csamt:
                                                type: number
                                                example: 0
                                              iamt:
                                                type: number
                                                example: 0
                                              samt:
                                                type: number
                                                example: 0
                                      itc4a5:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              itcavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 5550.22
                                                  igst:
                                                    type: number
                                                    example: 20756.64
                                                  sgst:
                                                    type: number
                                                    example: 5550.22
                                              itcavl_cn:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 82786.26
                                                  sgst:
                                                    type: number
                                                    example: 0
                                              itcunavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              camt:
                                                type: number
                                                example: 5550.22
                                              csamt:
                                                type: number
                                                example: 0
                                              iamt:
                                                type: number
                                                example: -62029.62
                                              samt:
                                                type: number
                                                example: 5550.22
                                      itc4d2:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              itcunavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              camt:
                                                type: number
                                                example: 0
                                              csamt:
                                                type: number
                                                example: 0
                                              iamt:
                                                type: number
                                                example: 0
                                              samt:
                                                type: number
                                                example: 0
                                  gstin:
                                    type: string
                                    example: 29AAACQ3770E000
                                  inter_sup:
                                    type: object
                                    properties:
                                      osup_comp_3_2:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              tbl15b2b:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl15urp2b:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl4a:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl4c:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl9a:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl9b:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl9c:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                          subtotal:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                iamt:
                                                  type: number
                                                  example: 0
                                                pos:
                                                  type: string
                                                  example: ''
                                                txval:
                                                  type: number
                                                  example: 0
                                            example:
                                              - iamt: 0
                                                pos: ''
                                                txval: 0
                                      osup_uin_3_2:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              tbl15b2b:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl15urp2b:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl4a:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl4c:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl9a:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl9b:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl9c:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                          subtotal:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                iamt:
                                                  type: number
                                                  example: 0
                                                pos:
                                                  type: string
                                                  example: ''
                                                txval:
                                                  type: number
                                                  example: 0
                                            example:
                                              - iamt: 0
                                                pos: ''
                                                txval: 0
                                      osup_unreg_3_2:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              tbl10b:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl11_i_a_2:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl11_i_b_2:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl11_ii:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl15b2c:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl15urp2c:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl5a:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl7b_1:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 10004.82
                                                    pos:
                                                      type: string
                                                      example: '37'
                                                    txval:
                                                      type: number
                                                      example: 55582.3
                                                example:
                                                  - iamt: 10004.82
                                                    pos: '37'
                                                    txval: 55582.3
                                                  - iamt: 1295.68
                                                    pos: '18'
                                                    txval: 7198.2
                                                  - iamt: 5596.26
                                                    pos: '10'
                                                    txval: 31090.3
                                                  - iamt: 1439.64
                                                    pos: '22'
                                                    txval: 7998
                                                  - iamt: 6459.42
                                                    pos: '07'
                                                    txval: 35885.6
                                                  - iamt: 485.84
                                                    pos: '30'
                                                    txval: 2699.1
                                                  - iamt: 3345.84
                                                    pos: '06'
                                                    txval: 18588
                                                  - iamt: 242.84
                                                    pos: '02'
                                                    txval: 1349.1
                                                  - iamt: 1925.3
                                                    pos: '20'
                                                    txval: 10696.1
                                                  - iamt: 137579.65
                                                    pos: '29'
                                                    txval: 764331.38
                                                  - iamt: 2446.76
                                                    pos: '32'
                                                    txval: 13593.1
                                                  - iamt: 1403.48
                                                    pos: '23'
                                                    txval: 7797.1
                                                  - iamt: 20935.22
                                                    pos: '27'
                                                    txval: 116306.6
                                                  - iamt: 683.48
                                                    pos: '21'
                                                    txval: 3797.1
                                                  - iamt: 3094.96
                                                    pos: '97'
                                                    txval: 17194.2
                                                  - iamt: 719.82
                                                    pos: '34'
                                                    txval: 3999
                                                  - iamt: 1907.48
                                                    pos: '03'
                                                    txval: 10597.1
                                                  - iamt: 4084.76
                                                    pos: '08'
                                                    txval: 22693.1
                                                  - iamt: 11569.16
                                                    pos: '33'
                                                    txval: 64273
                                                  - iamt: 9490.96
                                                    pos: '36'
                                                    txval: 52727.5
                                                  - iamt: 1691.5
                                                    pos: '16'
                                                    txval: 9397.2
                                                  - iamt: 4911.18
                                                    pos: '09'
                                                    txval: 27284.3
                                                  - iamt: 287.64
                                                    pos: '05'
                                                    txval: 1598
                                                  - iamt: 3922.42
                                                    pos: '19'
                                                    txval: 21791.2
                                              tbl9a:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl9b:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                              tbl9c:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    iamt:
                                                      type: number
                                                      example: 0
                                                    pos:
                                                      type: string
                                                      example: ''
                                                    txval:
                                                      type: number
                                                      example: 0
                                                example:
                                                  - iamt: 0
                                                    pos: ''
                                                    txval: 0
                                          subtotal:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                iamt:
                                                  type: number
                                                  example: 10004.82
                                                pos:
                                                  type: string
                                                  example: '37'
                                                txval:
                                                  type: number
                                                  example: 55582.3
                                            example:
                                              - iamt: 10004.82
                                                pos: '37'
                                                txval: 55582.3
                                              - iamt: 1295.68
                                                pos: '18'
                                                txval: 7198.2
                                              - iamt: 5596.26
                                                pos: '10'
                                                txval: 31090.3
                                              - iamt: 1439.64
                                                pos: '22'
                                                txval: 7998
                                              - iamt: 6459.42
                                                pos: '07'
                                                txval: 35885.6
                                              - iamt: 485.84
                                                pos: '30'
                                                txval: 2699.1
                                              - iamt: 3345.84
                                                pos: '06'
                                                txval: 18588
                                              - iamt: 242.84
                                                pos: '02'
                                                txval: 1349.1
                                              - iamt: 1925.3
                                                pos: '20'
                                                txval: 10696.1
                                              - iamt: 137579.65
                                                pos: '29'
                                                txval: 764331.38
                                              - iamt: 2446.76
                                                pos: '32'
                                                txval: 13593.1
                                              - iamt: 1403.48
                                                pos: '23'
                                                txval: 7797.1
                                              - iamt: 20935.22
                                                pos: '27'
                                                txval: 116306.6
                                              - iamt: 683.48
                                                pos: '21'
                                                txval: 3797.1
                                              - iamt: 3094.96
                                                pos: '97'
                                                txval: 17194.2
                                              - iamt: 719.82
                                                pos: '34'
                                                txval: 3999
                                              - iamt: 1907.48
                                                pos: '03'
                                                txval: 10597.1
                                              - iamt: 4084.76
                                                pos: '08'
                                                txval: 22693.1
                                              - iamt: 11569.16
                                                pos: '33'
                                                txval: 64273
                                              - iamt: 9490.96
                                                pos: '36'
                                                txval: 52727.5
                                              - iamt: 1691.5
                                                pos: '16'
                                                txval: 9397.2
                                              - iamt: 4911.18
                                                pos: '09'
                                                txval: 27284.3
                                              - iamt: 287.64
                                                pos: '05'
                                                txval: 1598
                                              - iamt: 3922.42
                                                pos: '19'
                                                txval: 21791.2
                                  ret_period:
                                    type: string
                                    example: '122023'
                                  sup_details:
                                    type: object
                                    properties:
                                      isup_3_1d:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              itcavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              itcunavl:
                                                type: object
                                                properties:
                                                  cess:
                                                    type: number
                                                    example: 0
                                                  cgst:
                                                    type: number
                                                    example: 0
                                                  igst:
                                                    type: number
                                                    example: 0
                                                  sgst:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              camt:
                                                type: number
                                                example: 0
                                              csamt:
                                                type: number
                                                example: 0
                                              iamt:
                                                type: number
                                                example: 0
                                              samt:
                                                type: number
                                                example: 0
                                              txval:
                                                type: number
                                                example: 0
                                      osup_3_1a:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              tbl10a:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl10b:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl11_i_a_1:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl11_i_a_2:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl11_i_b_1:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl11_i_b_2:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl11_ii:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl4a:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 2222.3
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 12346.1
                                              tbl4b:
                                                type: object
                                                properties:
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl4c:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl5a:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl5b:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl6c:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl7a_1:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 2284.92
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 2284.92
                                                  txval:
                                                    type: number
                                                    example: 25388
                                              tbl7b_1:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 235524.11
                                                  txval:
                                                    type: number
                                                    example: 1308466.58
                                              tbl9a:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl9b:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl9c:
                                                type: object
                                                properties:
                                                  camt:
                                                    type: number
                                                    example: 0
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  samt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              camt:
                                                type: number
                                                example: 2284.92
                                              csamt:
                                                type: number
                                                example: 0
                                              iamt:
                                                type: number
                                                example: 237746.41
                                              samt:
                                                type: number
                                                example: 2284.92
                                              txval:
                                                type: number
                                                example: 1346200.68
                                      osup_3_1b:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              tbl15b2b:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl15urp2b:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl6a:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl6b:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl9a:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl9b:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                              tbl9c:
                                                type: object
                                                properties:
                                                  csamt:
                                                    type: number
                                                    example: 0
                                                  iamt:
                                                    type: number
                                                    example: 0
                                                  txval:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              csamt:
                                                type: number
                                                example: 0
                                              iamt:
                                                type: number
                                                example: 0
                                              txval:
                                                type: number
                                                example: 0
                                      osup_3_1c:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              tbl8:
                                                type: object
                                                properties:
                                                  txval:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              txval:
                                                type: number
                                                example: 0
                                      osup_3_1e:
                                        type: object
                                        properties:
                                          det:
                                            type: object
                                            properties:
                                              tbl8:
                                                type: object
                                                properties:
                                                  txval:
                                                    type: number
                                                    example: 0
                                          subtotal:
                                            type: object
                                            properties:
                                              txval:
                                                type: number
                                                example: 0
                              r1fildt:
                                type: string
                                example: 09-01-2024
                              r2bgendt:
                                type: string
                                example: 14-01-2024
                              r3bgendt:
                                type: string
                                example: 14-01-2024
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: RT-R3BQ1004
                          message:
                            type: string
                            example: >-
                              You have not filed GSTR-1 of the selected tax
                              period. Please file the same to enable filing of
                              GSTR-3B.
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 7312c3d8-2ca7-4a0c-97bc-3f5a1ae21f7c
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      data:
                        r3bautopop:
                          error: []
                          liabitc:
                            elgitc:
                              itc4a1:
                                det:
                                  itcavl:
                                    cess: 0
                                    igst: 0
                                subtotal:
                                  csamt: 0
                                  iamt: 0
                              itc4a3:
                                det:
                                  itcavl:
                                    cess: 0
                                    cgst: 0
                                    igst: 0
                                    sgst: 0
                                  itcavl_cn:
                                    cess: 0
                                    cgst: 0
                                    igst: 0
                                    sgst: 0
                                  itcunavl:
                                    cess: 0
                                    cgst: 0
                                    igst: 0
                                    sgst: 0
                                subtotal:
                                  camt: 0
                                  csamt: 0
                                  iamt: 0
                                  samt: 0
                              itc4a4:
                                det:
                                  itcavl:
                                    cess: 0
                                    cgst: 0
                                    igst: 0
                                    sgst: 0
                                  itcavl_cn:
[...]
